{% extends '_base_blank.html' %}
{% load static %}

{% block title %} Contracts - OnBoard{% endblock title %}

{% block content %}

<div class="columns">
    <div class="column is-2"></div>
    <div class="column mb mb-6">
        <p class="title has-text-centered">Welcome {{ contract.first_name }} {{contract.last_name}} !</p>
        <p class="subtitle has-text-centered">
            We are happy to have you onboard. Please fill out the following details to complete the onboarding
            process.<br />
            For queries, reach the Administration at <a href="mailto: administration@ifpindia.org">administration@ifpindia.org</a> or the Secretary General at <a href="mailto: secretarygeneral@ifpindia.org">secretarygeneral@ifpindia.org</a>.
        </p>
        <hr />
        <form action="{% url 'contract_onboard' contract.id %}" method="POST" enctype="multipart/form-data">
            <p class="is-size-5 has-text-weight-semibold">Personal Details</p>
            <div class="m m-5">
                <table class="table">
                    <tbody>
                        {% if contract.recent_photo %}
                        <tr>
                            <th>Recent Photo</th>
                            <td><a href="{{ contract.recent_photo.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                        <tr>
                            <th>Date of Birth</th>
                            <td> {{ contract.date_of_birth }} </td>
                        </tr>
                        <tr>
                            <th>Marital Status</th>
                            <td> {{ contract.marital_status }} </td>
                        </tr>
                        <tr>
                            <th>Current Address</th>
                            <td> {{ contract.current_address }} </td>
                        </tr>
                        <tr>
                            <th>Permanent Address</th>
                            <td> {{ contract.permanent_address }} </td>
                        </tr>
                        {% if contract.permanent_address_proof %}
                        <tr>
                            <th>Permanent Address Proof</th>
                            <td><a href="{{ contract.permanent_address_proof.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                        {% if contract.cv %}
                        <tr>
                            <th>Curriculam Vitae</th>
                            <td><a href="{{ contract.cv.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                    </tbody>
                </table>
            </div>
            {% if contract.contract_type.get_dependent_for_insurance %}
            <p class="is-size-5 has-text-weight-semibold">Dependent Details</p>
            <div class="m m-5">
                <table class="table">
                    <tbody>
                        <tr>
                            <th>Spouse Name</th>
                            <td>{{ contract.spouse_name }}</td>
                        </tr>
                        <tr>
                            <th>Relationship</th>
                            <td>{{ contract.spouse_relation }}</td>
                        </tr>
                        <tr>
                            <th>Data of Birth</th>
                            <td>{{ contract.spouse_dob }}</td>
                        </tr>
                        {% if contract.spouse_id_proof %}
                        <tr>
                            <th>ID Proof</th>
                            <td><a href="{{ contract.spouse_id_proof.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                    </tbody>
                </table>
                {% if contract.child1_name %}
                <table class="table">
                    <tbody>
                        <tr>
                            <th>Child1 Name</th>
                            <td>{{ contract.child1_name }}</td>
                        </tr>
                        <tr>
                            <th>Relationship</th>
                            <td>{{ contract.child1_relation }}</td>
                        </tr>
                        <tr>
                            <th>Data of Birth</th>
                            <td>{{ contract.child1_dob }}</td>
                        </tr>
                        {% if contract.child1_id_proof %}
                        <tr>
                            <th>ID Proof</th>
                            <td><a href="{{ contract.child1_id_proof.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                    </tbody>
                </table>
                {% endif %}
                {% if contract.child2_name %}
                <table class="table">
                    <tbody>
                        <tr>
                            <th>Child2 Name</th>
                            <td>{{ contract.child2_name }}</td>
                        </tr>
                        <tr>
                            <th>Relationship</th>
                            <td>{{ contract.child2_relation }}</td>
                        </tr>
                        <tr>
                            <th>Data of Birth</th>
                            <td>{{ contract.child2_dob }}</td>
                        </tr>
                        {% if contract.child2_id_proof %}
                        <tr>
                            <th>ID Proof</th>
                            <td><a href="{{ contract.child2_id_proof.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                    </tbody>
                </table>
                {% endif %}
            </div>
            {% endif %}
            <p class="is-size-5 has-text-weight-semibold">Emergency Contact</p>
            <div class="m m-5">
                <table class="table">
                    <tbody>
                        <tr>
                            <th>Name</th>
                            <td>{{ contract.emergency_contact_name }}</td>
                        </tr>
                        <tr>
                            <th>Relationship</th>
                            <td>{{ contract.emergency_contact_relationship }}</td>
                        </tr>
                        <tr>
                            <th>Mobile</th>
                            <td>{{ contract.emergency_contact_mobile }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            {% if contract.contract_type.get_educational_details %}
            <p class="is-size-5 has-text-weight-semibold">Highest Education Details</p>
            <div class="m m-5">
                <table class="table">
                    <tbody>
                        <tr>
                            <th>Institute/University Name</th>
                            <td>{{ contract.institute_name }}</td>
                        </tr>
                        <tr>
                            <th>Degree/Course Name</th>
                            <td>{{ contract.degree_name }}</td>
                        </tr>
                        <tr>
                            <th>Year of Passing</th>
                            <td>{{ contract.year_of_passing }}</td>
                        </tr>
                        <tr>
                            <th>Total Mark Percentage</th>
                            <td>{{ contract.mark_percent }}</td>
                        </tr>
                        {% if contract.degree_certificate %}
                        <tr>
                            <th>Degree Certificate</th>
                            <td><a href="{{ contract.degree_certificate.url }}" target="_blank" rel="noopener">View in New Tab</a>
                            </td>
                        </tr>
                        {% endif %}
                    </tbody>
                </table>
            </div>
            {% endif %}
            {% if contract.affiliated_to_institution %}
            <p class="is-size-5 has-text-weight-semibold">Affiliated Institution</p>
            <div class="m m-5">
                <table class="table">
                    <tbody>
                        <tr>
                            <th>Name of the Affiliated Institution</th>
                            <td>{{ contract.affiliated_institution }}</td>
                        </tr>
                        <tr>
                            <th>Date of Registration in the Institution</th>
                            <td>{{ contract.affiliated_institution_dor }}</td>
                        </tr>
                        <tr>
                            <th>Email provided by your Institution</th>
                            <td>{{ contract.affiliated_institution_email }}</td>
                        </tr>
                        {% if contract.affiliated_institution_id %}
                        <tr>
                            <th>Proof of Affiliation (ID / Letter of Affiliation)</th>
                            <td><a href="{{ contract.affiliated_institution_id.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                    </tbody>
                </table>
            </div>
            {% endif %}
            {% if contract.contract_type.get_bank_details %}
            <p class="is-size-5 has-text-weight-semibold">Bank Details</p>
            <div class="m m-5">
                <table class="table">
                    <tbody>
                        <tr>
                            <th>Account Name</th>
                            <td>{{ contract.acc_name }}</td>
                        </tr>
                        <tr>
                            <th>Account Number</th>
                            <td>{{ contract.acc_no }}</td>
                        </tr>
                        <tr>
                            <th>Account Type</th>
                            <td>{{ contract.acc_type }}</td>
                        </tr>
                        <tr>
                            <th>Bank Name</th>
                            <td>{{ contract.bank_name }}</td>
                        </tr>
                        <tr>
                            <th>Bank Branch</th>
                            <td>{{ contract.branch }}</td>
                        </tr>
                        <tr>
                            <th>UID</th>
                            <td>{{ contract.uid}}</td>
                        </tr>
                        <tr>
                            <th>UID Type</th>
                            <td>{{ contract.uid_type }}</td>
                        </tr>
                        {% if contract.bank_details_proof %}
                        <tr>
                            <th>Bank Passbook / Old Check Leaf Copy</th>
                            <td><a href="{{ contract.bank_details_proof.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                    </tbody>
                </table>
            </div>
            {% endif %}
            {% if contract.nationality.name != "India"%}
            <p class="is-size-5 has-text-weight-semibold">VISA Details</p>
            <div class="m m-5">
                <table class="table">
                    <tbody>
                        {% if contract.passport %}
                        <tr>
                            <th>Passport Copy</th>
                            <td><a href="{{ contract.passport.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                        <tr>
                            <th>VISA Number</th>
                            <td>{{ contract.visa_number }}</td>
                        </tr>
                        <tr>
                            <th>Start Date</th>
                            <td>{{ contract.visa_start_date }}</td>
                        </tr>
                        <tr>
                            <th>End Date</th>
                            <td>{{ contract.visa_end_date }}</td>
                        </tr>
                        {% if contract.visa_file %}
                        <tr>
                            <th>VISA Copy</th>
                            <td><a href="{{ contract.visa_file.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                    </tbody>
                </table>
            </div>
            {% endif %}
            <div class="m m-5 has-text-right">
                <a class="button is-success" href="{% url 'contract_onboard_submit' contract.id %}"> Submit </a>
                </button>
            </div>
        </form>
    </div>
    <div class="column is-2"></div>
</div>
{% endblock %}